<?php
/*---------------------------------------------------------------*/
/*
    Titre : Passer une chaine utf8 en Latin                                                                               
                                                                                                                          
    URL   : https://phpsources.net/code_s.php?id=442
    Date dition     : 13 Aout 2008                                                                                       
    Date mise  jour : 14 Aout 2019
                                                                                      
    Rapport de la maj:                                                                                                    
    - fonctionnement du code vérifié                                                                                    
    - amélioration du code                                                                                               
*/
/*---------------------------------------------------------------*/

  function utf8_vers_latin($machaine)
{   

    $tab_utf8 = Array("/ç/","/ä§/","/é/","/ä©/","/è/","/ä¨/","/ê/",
"/äª/",
                      "/à«/","/ä«/","/à/","/ä/","/à/","/ä/","/à®/",
"/ä®/",
                      "/ï/","/ä¯/","/à¬/","/à/","/ä/","/à²/","/ä²/",
"/ô/",
                      "/ä´/","/à¶/","/ä¶/","/àµ/","/à³/","/à¸/",
"/äµ/","/ä³/",
                      "/ä¸/","/à/","/ä/","/à/","/ä/","/à/","/ä/",
"/à¢/",
                      "/ä¢/","/à¤/","/ä¤/","/à¥/","/ä¥/","/à/","/ä/"
,"/à/",
                      "/ä/","/à¹/","/à»/","/à¼/","/ä¼/","/à/","/à/",
"/ä¹/",
                      "/ä»/","/ä¼/","/ä¼/","/ä/","/ä/","/à²/","/à±/"
,"/â/");

    $tab_latin = Array("ç", "ç", "é", "é", "è", "è", "ê", "ê", "ë", 
"ë", "Ê", "Ê",
                       "Ë", "Ë", "î", "î", "ï", "ï", "ì", "Î", "Î", 
"ò", "ò", "ô",
                       "ô", "ö", "ö", "õ", "ó", "ø", "õ", "ó", "ø", 
"Ô", "Ô", "Ö",
                       "Ö", "à", "à", "â", "â", "ä", "ä", "å", "å", 
"Â", "Â", "Ä",
                       "Ä", "u", "û", "ü", "ü", "Û", "Ü", "u", "û", "ü",
 "ü", "Û",
                       "Ü", "ñ", "ñ", "'");
   
    $machaine = preg_replace($tab_utf8, $tab_latin, $machaine);
     
    return $machaine;
}
?>